Subject: Re: FAILED: Patch "powerpc: xor_vmx: Add '-mhard-float' to CFLAGS" failed to apply to 5.10-stable tree

From: Greg KH <[email-masked]>
Date: Fri, 29 Mar 2024 14:23:39 +0100

On Wed, Mar 27, 2024 at 08:16:13AM -0700, Nathan Chancellor wrote:
> On Wed, Mar 27, 2024 at 08:20:07AM -0400, Sasha Levin wrote:
> > The patch below does not apply to the 5.10-stable tree.
> > If someone wants it applied there, or to any other stable or longterm
> > tree, then please email the backport, including the original git commit
> > id to <[email-masked]>.
> ...
> > ------------------ original commit in Linus's tree ------------------
> > 
> > From 35f20786c481d5ced9283ff42de5c69b65e5ed13 Mon Sep 17 00:00:00 2001
> > From: Nathan Chancellor <[email-masked]>
> > Date: Sat, 27 Jan 2024 11:07:43 -0700
> > Subject: [PATCH] powerpc: xor_vmx: Add '-mhard-float' to CFLAGS
> 
> I have attached a backport that will work for 5.15 and earlier. I think
> you worked around this conflict in 5.15 by taking 04e85bbf71c9 but I am
> not sure that is a smart idea. I think it might just be better to drop
> that dependency and apply this version in 5.15.

I'll go drop it and take this version, thanks!

greg k-h